#!/bin/bash

# Example Deployment script. Enhance the parameters loading to be
# from a yaml file

. ~/stackrc

rm -fv ~/.ssh/known_hosts*

# Please run this script inside the package folder

# in case of storage_backend=ceph
# --ceph-storage-flavor   ceph-storage          [To Support CEPH storage role]
# --ceph-storage-scale

# in case of storage_backend=cinder_lvm
# --block-storage-flavor  block-storage         [To Support Block storage role]
# --block-storage-scale

# --templates                                   [To use default TripleO templates]
# -e ./environment_conf/env-template.yaml       [To Enable neutron design]
# -e ./network/network_env.yaml                 [To Enable multiple networks]
# -e ./environment_conf/multiple_backends.yaml  [To Enable iSER backend]
# --ntp-server <add_your_ntp>                   [To sync time between nodes]
# --validation-errors-fatal                     [Exit if there are errors from the
#                                                configuration pre-checks.
#                                                Ignoring these errors will likely
#                                                cause your deploy to fail]
# --timeout <TIMEOUT>                           [Deployment timeout in minutes]


openstack \
  overcloud deploy \
  --stack ovcloud \
  --control-scale         1 \
  --compute-scale         1 \
  --block-storage-scale   1 \
  --control-flavor control \
  --compute-flavor compute \
  --block-storage-flavor block-storage \
  --templates    \
  -e environment_conf/environment-rhel-registration.yaml \
  -e network/network_env.yaml \
  -e environment_conf/env.yaml \
  -e environment_conf/neutron-sriov.yaml \
  -e environment_conf/multiple_backends.yaml > overcloud_install.log \
  #-e ./environment_conf/multiple_backends.yaml \
  #--validation-errors-fatal \
  #--timeout 180 \
  #--ntp-server <add_your_ntp> \
  $@
