#!/bin/bash
# Copyright 2016 Mellanox Technologies, Ltd
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.
# See the License for the specific language governing permissions and
# limitations under the License.

source /opt/mlnx_scripts/common

service=$1

pcs resource cleanup ${service}-clone &&
pcs resource disable ${service}-clone

logger_print info "deactivating ${service}.."
trial=0
while [[ `systemctl is-active ${service}` != 'unknown' && \
         `systemctl is-active ${service}` != 'inactive' && \
         `systemctl is-active ${service}` != 'failed' ]] && [ $trial -lt 5 ]; do
  sleep 60
  trial=$((trial+1))
done

if [ $trial -eq 5 ]; then
   logger_print info "deactivating ${service} timeout"
fi

pcs resource cleanup ${service}-clone &&
pcs resource enable ${service}-clone

logger_print info "activating ${service}.."
trial=0
while [[ `systemctl is-active ${service}` != 'active' ]] && [ $trial -lt 5 ]; do
  sleep 60
  trial=$((trial+1))
done

if [ $trial -eq 5 ]; then
   logger_print error "activating ${service} timeout"
   exit 1
fi

exit 0
